# Get dispute files Get files related to a specific dispute. # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - Disputes", "version": "1.0.0", "description": "Disputes API endpoints", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io/disputes", "description": "Sandbox API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Evidence files", "description": "Endpoints to handle dispute evidence files" } ], "components": { "parameters": { "disputeId": { "name": "disputeId", "in": "path", "description": "Dispute ID", "required": true, "schema": { "type": "number" } } }, "schemas": { "DisputeID": { "type": "number", "description": "Dispute ID", "example": 1876567 }, "OrgID": { "type": "string", "description": "Organization/tenant ID.", "example": "TN-34778262-f4f0-464d-b4c6-a14exxxxxxxx" }, "DisputeFileCategory": { "type": "string", "description": "File category", "example": "PRE_ARBITRATION", "enum": [ "PERSONAL", "CARD", "OTHERS", "PRE_ARBITRATION" ] }, "DisputeFileResponse": { "type": "object", "properties": { "id": { "type": "number", "example": 1, "description": "Dispute file ID." }, "org_id": { "$ref": "#/components/schemas/OrgID" }, "dispute_id": { "$ref": "#/components/schemas/DisputeID" }, "dispute_installment_id": { "$ref": "#/components/schemas/DisputeInstallmentId" }, "installment": { "type": "number", "description": "Installment number." }, "path": { "type": "string", "example": "/path/of/directory/", "description": "Organization file path." }, "file_name": { "type": "string", "example": "doc.pdf", "description": "File name." }, "category": { "$ref": "#/components/schemas/DisputeFileCategory" } } }, "DisputeInstallmentId": { "type": "integer", "description": "Dispute installment ID.", "example": 8675309 } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account access token. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } }, "responses": { "400BadRequest": { "description": "Bad Request" }, "401Unauthorized": { "description": "Unauthorized. Invalid or missing access token." }, "404NotFound": { "description": "Not found" }, "500InternalServerError": { "description": "Internal server error" } } }, "paths": { "/v1/disputes/{disputeId}/files": { "get": { "summary": "Get dispute files", "description": "Get files related to a specific dispute.", "operationId": "get-v1-disputes-disputeId-files", "tags": [ "Evidence files" ], "parameters": [ { "$ref": "#/components/parameters/disputeId" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/DisputeFileResponse" } }, "examples": { "List Files": { "value": [ { "id": 1, "org_id": "123456789", "dispute_id": 1, "dispute_installment_id": 1, "installment": 1, "path": "/path/of/directory/", "file_name": "doc.pdf", "category": "PERSONAL" } ] } } } } }, "400": { "$ref": "#/components/responses/400BadRequest" }, "401": { "$ref": "#/components/responses/401Unauthorized" }, "404": { "$ref": "#/components/responses/404NotFound" }, "500": { "$ref": "#/components/responses/500InternalServerError" } } } } } } ```